package com.lightinit.hsdataportal.entity;

import java.math.BigDecimal;
import java.util.Date;

public class Roadshow {
    private Long id;

    private String roadshowState;

    private String roadshowName;

    private String financingType;

    private BigDecimal financingAmount;

    private String projectPhase;

    private String tradeField;

    private String roadshowTag;

    private Long publishBy;

    private Date publishAt;

    private Long auditedBy;

    private Date auditedAt;

    private String auditResult;

    private String auditOpinion;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRoadshowState() {
        return roadshowState;
    }

    public void setRoadshowState(String roadshowState) {
        this.roadshowState = roadshowState == null ? null : roadshowState.trim();
    }

    public String getRoadshowName() {
        return roadshowName;
    }

    public void setRoadshowName(String roadshowName) {
        this.roadshowName = roadshowName == null ? null : roadshowName.trim();
    }

    public String getFinancingType() {
        return financingType;
    }

    public void setFinancingType(String financingType) {
        this.financingType = financingType == null ? null : financingType.trim();
    }

    public BigDecimal getFinancingAmount() {
        return financingAmount;
    }

    public void setFinancingAmount(BigDecimal financingAmount) {
        this.financingAmount = financingAmount;
    }

    public String getProjectPhase() {
        return projectPhase;
    }

    public void setProjectPhase(String projectPhase) {
        this.projectPhase = projectPhase == null ? null : projectPhase.trim();
    }

    public String getTradeField() {
        return tradeField;
    }

    public void setTradeField(String tradeField) {
        this.tradeField = tradeField == null ? null : tradeField.trim();
    }

    public String getRoadshowTag() {
        return roadshowTag;
    }

    public void setRoadshowTag(String roadshowTag) {
        this.roadshowTag = roadshowTag == null ? null : roadshowTag.trim();
    }

    public Long getPublishBy() {
        return publishBy;
    }

    public void setPublishBy(Long publishBy) {
        this.publishBy = publishBy;
    }

    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public Long getAuditedBy() {
        return auditedBy;
    }

    public void setAuditedBy(Long auditedBy) {
        this.auditedBy = auditedBy;
    }

    public Date getAuditedAt() {
        return auditedAt;
    }

    public void setAuditedAt(Date auditedAt) {
        this.auditedAt = auditedAt;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult == null ? null : auditResult.trim();
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion == null ? null : auditOpinion.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}